# NAML (NIRS AutoML)

This project aims to enable the use of the sktime toolbox for the classification of fNIRS data by developing a testing infrastructure that will allow researchers to specify an fNIRS dataset and run sktime models on the specified data set. This tool is be accompanied by a manual that presents information on [how to use the tool](https://github.com/erins/NAML/tree/master/scripts) and [how to set up sktime](https://github.com/erins/NAML/tree/master/tutorial). The tool and the manual were tested with potential users and recommendations were recorded for potential future improvements.
  
This repository contains three main folders
* [`tutorial` folder](https://github.com/erins/NAML/tree/master/tutorial): contains an sktime tutorial (this includes a [dataset](https://github.com/erins/NAML/tree/master/tutorial/AtrialFibrillation) and [jupyter notebook file](https://github.com/erins/NAML/blob/master/tutorial/atrial_fibrillation_tutorial.ipynb)
* [`scripts` folder](https://github.com/erins/NAML/tree/master/scripts): contains all files necessary to run NAML including  [`naml.py`](https://github.com/erins/NAML/tree/master/scripts/naml.py) and [`configuration_checker.py`](https://github.com/erins/NAML/tree/master/scripts/configuration_checker.py) 
* [`flask` folder](https://github.com/erins/NAML/tree/master/flask): contains a backbone flask application built with `naml.py`</br> 

If this is your first time with this tool begin with the guidelines specified in the [`tutorial` folder](https://github.com/erins/NAML/tree/master/tutorial). Once, sktime is properly installed and running, follow the guidelines in the [`scripts` folder](https://github.com/erins/NAML/tree/master/scripts) to run NAML. 
